Loading...
Searching...
No Matches
Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 > Class Template Referencefinal

`#include <dune/grid-glue/merging/intersectionlist.hh>`

Inheritance diagram for Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >:

## Classes

struct | SimplicialIntersection

## Public Types

using | Index = typename Base::Index
using | Local0 = FieldVector<double, dim0>
using | Local1 = FieldVector<double, dim1>
template<int I>
using | Local = std::conditional_t< I == 0, Local0, Local1 >

## Public Member Functions

| SimplicialIntersectionListProvider ()=default
| SimplicialIntersectionListProvider (std::vector< SimplicialIntersection > &&intersections)
auto & | intersections ()
std::size_t | size () const override
std::size_t | parents0 (Index intersection) const override
std::size_t | parents1 (Index intersection) const override
Index | parent0 (Index intersection, unsigned index) const override
Index | parent1 (Index intersection, unsigned index) const override
Local0 | corner0 (Index intersection, unsigned corner, unsigned index) const override
Local1 | corner1 (Index intersection, unsigned corner, unsigned index) const override
void | clear ()

## Detailed Description

template<int dim0, int dim1>
class Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >

intersection list provider storing simplicial intersections

Template Parameters

  dim0 | dimension of the first grid
  dim1 | dimension of the second grid

## Member Typedef Documentation

## Index

template<int dim0, int dim1>

using Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::Index = typename Base::Index

## Local

template<int dim0, int dim1>
template<int I>

using Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::Local = std::conditional_t< I == 0, Local0, Local1 >

## Local0

template<int dim0, int dim1>

using Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::Local0 = FieldVector<double, dim0>

## Local1

template<int dim0, int dim1>

using Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::Local1 = FieldVector<double, dim1>

## Constructor & Destructor Documentation

## SimplicialIntersectionListProvider() [1/2]

template<int dim0, int dim1>

Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::SimplicialIntersectionListProvider | ( |  | ) |

default

## SimplicialIntersectionListProvider() [2/2]

template<int dim0, int dim1>

Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::SimplicialIntersectionListProvider | ( | std::vector< SimplicialIntersection > && | intersections | ) |

inline

## Member Function Documentation

## clear()

template<int dim0, int dim1>

void Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::clear | ( |  | ) |

inline

## corner0()

template<int dim0, int dim1>

Local0 Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::corner0 | ( | Index | intersection,
|  | unsigned | corner,
|  | unsigned | index ) const

inline override virtual

corner local coordinates of an embedding of an intersection in the first grid

Parameters

  intersection | number of the intersection
  corner | number of the corner
  index | number of the embedding of the intersection

Implements Dune::GridGlue::IntersectionListProvider< FieldVector< double, dim0 >, FieldVector< double, dim1 > >.

## corner1()

template<int dim0, int dim1>

Local1 Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::corner1 | ( | Index | intersection,
|  | unsigned | corner,
|  | unsigned | index ) const

inline override virtual

corner local coordinates of an embedding of an intersection in the second grid

Parameters

  intersection | number of the intersection
  corner | number of the corner
  index | number of the embedding of the intersection

Implements Dune::GridGlue::IntersectionListProvider< FieldVector< double, dim0 >, FieldVector< double, dim1 > >.

## intersections()

template<int dim0, int dim1>

auto & Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::intersections | ( |  | ) |

inline

## parent0()

template<int dim0, int dim1>

Index Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::parent0 | ( | Index | intersection,
|  | unsigned | index ) const

inline override virtual

parent entity of an embedding of an intersection in the first grid

Parameters

  intersection | number of the intersection
  index | number of the embedding of the intersection

Implements Dune::GridGlue::IntersectionListProvider< FieldVector< double, dim0 >, FieldVector< double, dim1 > >.

## parent1()

template<int dim0, int dim1>

Index Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::parent1 | ( | Index | intersection,
|  | unsigned | index ) const

inline override virtual

parent entity of an embedding of an intersection in the second grid

Parameters

  intersection | number of the intersection
  index | number of the embedding of the intersection

Implements Dune::GridGlue::IntersectionListProvider< FieldVector< double, dim0 >, FieldVector< double, dim1 > >.

## parents0()

template<int dim0, int dim1>

std::size_t Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::parents0 | ( | Index | intersection | ) | const

inline override virtual

number of embeddings of the intersection-th intersection into the first grid

Parameters

  intersection | number of the intersection

Implements Dune::GridGlue::IntersectionListProvider< FieldVector< double, dim0 >, FieldVector< double, dim1 > >.

## parents1()

template<int dim0, int dim1>

std::size_t Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::parents1 | ( | Index | intersection | ) | const

inline override virtual

number of embeddings of the intersection-th intersection into the second grid

Parameters

  intersection | number of the intersection

Implements Dune::GridGlue::IntersectionListProvider< FieldVector< double, dim0 >, FieldVector< double, dim1 > >.

## size()

template<int dim0, int dim1>

std::size_t Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::size | ( |  | ) | const

inline override virtual

number of intersections in the merged grid

Implements Dune::GridGlue::IntersectionListProvider< FieldVector< double, dim0 >, FieldVector< double, dim1 > >.

The documentation for this class was generated from the following file:

- intersectionlist.hh